# TTreeElementIterator Class Reference
[Data Structures]

Inheritance diagram for TTreeElementIterator:

List of all members.

## Public Member Functions
| TTreeElementIterator (I3DShTreeElement *treeBase)
| TTreeElementIterator (I3DShTreeElement *treeBase, boolean goInside, boolean skipRoot, boolean(*filter)(I3DShTreeElement *tree), boolean(*isOpen)(I3DShTreeElement *aTree))
| ~TTreeElementIterator ()
I3DShTreeElement * | First ()
boolean | More ()
I3DShTreeElement * | Next ()
int32 | GetIndex () const
int16 | GetLevel () const
## Protected Attributes
I3DShTreeElement * | fTreeBase
I3DShTreeElement * | fRoot
boolean(* | fFilter )(I3DShTreeElement *aTree)
boolean(* | fIsOpen )(I3DShTreeElement *aTree)
boolean | fGoInside
boolean | fSkipRoot
int32 | fIndex
int16 | fLevel

## Detailed Description

iterates over a tree element and its sons

## Constructor & Destructor Documentation

TTreeElementIterator::TTreeElementIterator | ( | I3DShTreeElement * | treeBase | ) |

TTreeElementIterator::TTreeElementIterator | ( | I3DShTreeElement * | treeBase,
|  | boolean | goInside,
|  | boolean | skipRoot,
|  | boolean(*)(I3DShTreeElement *tree) | filter,
|  | boolean(*)(I3DShTreeElement *aTree) | isOpen |
| ) |  |  |

TTreeElementIterator::~TTreeElementIterator | ( |  | ) |

## Member Function Documentation

I3DShTreeElement* TTreeElementIterator::First | ( |  | ) |

int32 TTreeElementIterator::GetIndex | ( |  | ) | const

int16 TTreeElementIterator::GetLevel | ( |  | ) | const

boolean TTreeElementIterator::More | ( |  | ) | `[inline]`

I3DShTreeElement* TTreeElementIterator::Next | ( |  | ) |

## Member Data Documentation

boolean(* TTreeElementIterator::fFilter)(I3DShTreeElement *aTree)`[protected]`

boolean TTreeElementIterator::fGoInside`[protected]`

int32 TTreeElementIterator::fIndex`[protected]`

boolean(* TTreeElementIterator::fIsOpen)(I3DShTreeElement *aTree)`[protected]`

int16 TTreeElementIterator::fLevel`[protected]`

I3DShTreeElement* TTreeElementIterator::fRoot`[protected]`

boolean TTreeElementIterator::fSkipRoot`[protected]`

I3DShTreeElement* TTreeElementIterator::fTreeBase`[protected]`

The documentation for this class was generated from the following file:

- PublicUtilities.h